﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using System.Windows.Input;

namespace Dx.Controls
{
    public class FloatingControlItem : HeaderedContentControl
    {
        public static readonly RoutedCommand MinimizeCommand = new RoutedCommand("Minimize", typeof(FloatingControlItem));
        public static readonly RoutedCommand CloseCommand = new RoutedCommand("Close", typeof(FloatingControlItem));

        public static readonly DependencyProperty IsMinimizedProperty = DependencyProperty.Register("IsMinimized", typeof(bool), typeof(FloatingControlItem), new PropertyMetadata(false));

        public bool IsMinimized
        {
            get { return (bool)GetValue(IsMinimizedProperty); }
            set { SetValue(IsMinimizedProperty, value); }
        }

        static FloatingControlItem()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(FloatingControlItem), new FrameworkPropertyMetadata(typeof(FloatingControlItem)));
        }


    }
}
